Airwallex logo
Airwallex logoAirwallex logo

Payment Attempts

Copy for LLMView as Markdown

A PaymentAttempt object is created whenever a customer makes a payment with the chosen PaymentMethod. This API allows you to find out how your customer paid for your order.

A customer may attempt to pay for the same order multiple times. However, only one attempt should succeed. Use the Retrieve list of PaymentAttempts endpoint to list each and every PaymentAttempt made by your customer.

Data Retention Policy: You can query PaymentAttempt resources for a maximum of 2 years since creation.

Endpoints
GET /api/v1/pa/payment_attempts/{id}
GET /api/v1/pa/payment_attempts

Retrieve a PaymentAttempt

GET /api/v1/pa/payment_attempts/{id}

Parameters
idrequiredstring

PaymentAttempt unique identifier

Response body - 200 OK
acquirer_reference_numberstring

Acquirer reference number of the card payment. Will be populated after the payment attempt has transitioned to the CAPTURE_REQUESTED or SETTLED status.

amountnumber

Amount of the PaymentAttempt

authentication_dataobject

Authentication data which contains AVS result, CVC result, three domain secure result and fraud evaluation result

authentication_data.authentication_typestring

The method used to authenticate this transaction. Possible values: passkey, 3ds, none.

authentication_data.avs_resultstring

AVS result.

authentication_data.cvc_resultstring

CVC result.

authentication_data.ds_dataobject

3DS data.

authentication_data.ds_data.cavvstring

Cardholder Authentication Verification Value. Base64-encoded 28-character string.

authentication_data.ds_data.challenge_cancellation_reasonstring

Challenge cancellation reason

authentication_data.ds_data.ecistring | null

Electronic Commerce Indicator. As defined by 3D-Secure.

  • 00: Mastercard variant: Authentication failed.
  • 01: Mastercard variant: Authentication attempted.
  • 02: Mastercard variant: Authentication succeeded.
  • 04: Mastercard variant: Frictionless authentication via data only mode.
  • 05: Authentication succeeded.
  • 06: Authentication attempted. Mastercard variant: Exempted from Strong Customer Authentication.
  • 07: Authentication failed or exempted. Mastercard variant: Recurring transaction successfully authenticated.
  • null: Not applicable or 3DS authentication was not performed.
authentication_data.ds_data.enrolledstring | null

Indicates whether the cardholder is enrolled in 3D-Secure.

  • Y: Cardholder is enrolled.
  • N: Cardholder is not enrolled.
  • U: Unable to determine enrollment status.
  • null: Not applicable or enrollment check was not performed.
authentication_data.ds_data.frictionlessstring | null

Indicates whether 3DS passed in frictionless flow.

  • Y: 3DS passed in frictionless flow.
  • N: 3DS entered challenge flow.
  • null: Not applicable or 3DS authentication was not performed.
authentication_data.ds_data.liability_shift_indicatorstring | null

Indicates whether liability has shifted to the card issuer.

  • Y: Liability has shifted to the issuer.
  • N: Liability has not shifted.
  • null: Not applicable or unable to determine.
authentication_data.ds_data.pa_res_statusstring | null

Payment Authentication Response (PARes) status.

  • Y: Authentication successful.
  • N: Authentication failed.
  • U: Authentication could not be performed.
  • A: Authentication attempted but not completed.
  • C: Challenge required.
  • R: Authentication rejected.
  • null: Not applicable or authentication was not performed.
authentication_data.ds_data.versionstring

3ds version

authentication_data.ds_data.xidstring

XID

authentication_data.fraud_dataobject

Fraud data.

authentication_data.fraud_data.actionstring

Fraud action

authentication_data.fraud_data.post_authorization_checkobject

Post-authorization fraud check data

authentication_data.fraud_data.post_authorization_check.actionstring

Fraud action

authentication_data.fraud_data.post_authorization_check.risk_factorsarray

Risk factors

authentication_data.fraud_data.post_authorization_check.risk_factors.descriptionstring

Risk factor description

authentication_data.fraud_data.post_authorization_check.scorestring

Fraud score

authentication_data.fraud_data.risk_factorsarray

Risk factors

authentication_data.fraud_data.risk_factors.descriptionstring

Risk factor description

authentication_data.fraud_data.scorestring

Fraud score

authentication_data.passkey_setup_statusstring

Status of payment passkey setup for the card/device used in the transaction, during cardholder authentication. Possible values: SETUP_COMPLETED, ALREADY_SETUP, FAILED_TO_SETUP, NOT_TRIGGERED

  • SETUP_COMPLETED: Payment passkey was successfully set up.
  • ALREADY_SETUP: Payment passkey was already set up for this card/device combination in a previous transaction.
  • FAILED_TO_SETUP: Attempted to set up a payment passkey, but the setup failed.
  • NOT_TRIGGERED: Payment passkey setup was not supported or not applicable for this transaction (transaction was not processed via the passkey flow).
authentication_data.sca_exemptionobject

SCA exemption indicators for this transaction.

authentication_data.sca_exemption.applied_exemptionstring

The SCA exemption type actually applied by Airwallex in the authorization request sent downstream. If this field is null, SCA exemption was not applied. Possible values: LOW_RISK_TRANSACTION, LOW_VALUE, SECURE_CORPORATE_PAYMENT.

authentication_data.sca_exemption.requested_exemptionstring

The SCA exemption type requested by the merchant for Airwallex to use. Possible values: LOW_RISK_TRANSACTION, LOW_VALUE, SECURE_CORPORATE_PAYMENT, ANONYMOUS.

authorization_codestring

Authorization response code from issuer when the payment is authorized successfully

captured_amountnumber

Captured amount

created_atstring

Time at which this PaymentAttempt was created

currencystring

Currency of the PaymentAttempt

dcc_dataobject

Present when DCC amount is available and DCC currency is different from PaymentIntent currency. DCC could be conducted either by third party or Airwallex when using Airwallex DCC product

dcc_data.amountnumber

DCC amount

dcc_data.currencystring

DCC currency

failure_codestring

PaymentAttempt failure code. One of authentication_failed, capture_failed, authorization_failed, provider_unavailable, system_unavailable, fraud_rejected

failure_detailsobject

Failure details. Only applicable when status is FAILED.

failure_details.codestring

The failure code returned by Airwallex

failure_details.detailsobject

Additional details that may include original_response_code, original_response_message from provider, and other contextual information such as card details, risk factors, etc. depending on the specific error code.

failure_details.messagestring

The failure description.

failure_details.trace_idstring

The unique identifier for tracing the failure.

idstring

Unique identifier for the PaymentAttempt

merchant_advice_codestring

An advice code from issuer to provide more details about the payment. It can be useful when implementing a retry logic for declined payments.

merchant_order_idstring

Merchant order unique identifier of the PaymentAttempt

payment_intent_idstring

PaymentIntent unique identifier of the PaymentAttempt

payment_methodobject

PaymentMethod used by the PaymentAttempt

payment_method.ach_direct_debitobject

ACH Direct Debit information.

payment_method.ach_direct_debit.aba_routing_numberstring

9-digit number to identify a bank in the US.

payment_method.ach_direct_debit.account_numberstring

4-17 digits number to identify a bank account in the US.

payment_method.ach_direct_debit.business_accountboolean

Indicate whether the account is a business account.

payment_method.ach_direct_debit.micro_debitobject

The result of micro debit.

payment_method.ach_direct_debit.micro_debit.statusstring

The status of micro_debit.

payment_method.ach_direct_debit.micro_depositobject

The result of micro deposit.

payment_method.ach_direct_debit.micro_deposit.statusstring

The status of micro_deposit.

payment_method.ach_direct_debit.owner_emailstring

Email of the account holder.

payment_method.ach_direct_debit.owner_namestring

Name of the account holder.

payment_method.airwallex_payobject

AirwallexPay information.

payment_method.airwallex_pay.payer_namestring

Name of the payer. Only returned for successful payments.

payment_method.alfamartobject

Alfamart information.

payment_method.alfamart.shopper_emailstring

Email address of the shopper.

payment_method.alfamart.shopper_namestring

The name of the shopper.

payment_method.alipaycnobject

Alipay CN information.

payment_method.alipaycn.flowstring

One of qrcode, mobile_web, mobile_app, mini_program

payment_method.alipaycn.os_typestring

ios, android

payment_method.alipaycn.shopper_login_idstring

Alipay's User LoginId (Shopper) for Payment Consent Verification

payment_method.alipaycn.user_idstring

Unique identifier of a user in payment method provider side. Only present after the payment has been completed or the consent has been verified.

payment_method.alipayhkobject

Alipay HK information.

payment_method.alipayhk.flowstring

One of qrcode, mobile_web, mobile_app

payment_method.alipayhk.os_typestring

ios, android

payment_method.alipayhk.shopper_login_idstring

Alipay's User LoginId (Shopper) for Payment Consent Verification

payment_method.alipayhk.user_idstring

Unique identifier of a user in payment method provider side. Only present after the payment has been completed or the consent has been verified.

payment_method.applepayobject

Apple pay information.

payment_method.applepay.billingobject

Billing information

payment_method.applepay.billing.addressobject

The billing address as it appears on the credit card issuer’s records

payment_method.applepay.billing.address.citystring

City of the address. Maximum of 100 characters.

payment_method.applepay.billing.address.country_codestring

The two-letter country code in ISO 3166-1 alpha-2 format.

payment_method.applepay.billing.address.postcodestring

Postcode of the address. Maximum of 10 characters.

payment_method.applepay.billing.address.statestring

State or province of the address. Maximum of 100 characters.

payment_method.applepay.billing.address.streetstring

Street of the address. Maximum of 1000 characters.

payment_method.applepay.billing.date_of_birthstring

Date of birth of the customer in the format: YYYY-MM-DD

payment_method.applepay.billing.emailstring

Email address of the customer

payment_method.applepay.billing.first_namestring

First name of the customer

payment_method.applepay.billing.last_namestring

Last name of the customer

payment_method.applepay.billing.phone_numberstring

Phone number of the customer

payment_method.applepay.lifecycle_idstring

The Lifecycle Identifier is a unique code that links all related transaction events - Capture, refund & disputes, making it easy to track a transaction throughout its lifecycle. This identifier is currently supported only when the card brand is MasterCard.

payment_method.applepay.payment_data_typestring

Type of the payment data details. One of tokenized_card or encrypted_payment_token.

payment_method.applepay.tokenized_cardobject

Payment data with the tokenized card details.

payment_method.applepay.tokenized_card.authentication_methodobject

Authentication method

payment_method.applepay.tokenized_card.authentication_method.emvobject

EMV data

payment_method.applepay.tokenized_card.authentication_method.emv.emv_datastring

Output from the Secure Element

payment_method.applepay.tokenized_card.authentication_method.emv.encrypted_pin_datastring

The PIN encrypted using the bank’s key

payment_method.applepay.tokenized_card.authentication_method.three_dsobject

3D-Secure authentication data

payment_method.applepay.tokenized_card.authentication_method.three_ds.eci_indicatorstring

Electronic Commerce Indicator, as defined by 3-D Secure

payment_method.applepay.tokenized_card.authentication_method.three_ds.online_payment_cryptogramstring

Online payment cryptogram, as defined by 3-D Secure

payment_method.applepay.tokenized_card.authentication_method.typestring

The authentication method type. One of CRYPTOGRAM_3DS, PAN_ONLY.

payment_method.applepay.tokenized_card.binstring

Bank identify number of this card

payment_method.applepay.tokenized_card.brandstring

Brand of the card. One of visa, mastercard, maestro, chinaunionpay.

payment_method.applepay.tokenized_card.device_manufacturer_identifierstring

Device manufacturer identifier

payment_method.applepay.tokenized_card.expiry_monthstring

Two digit number representing the card’s expiration month

payment_method.applepay.tokenized_card.expiry_yearstring

Four digit number representing the card’s expiration year

payment_method.applepay.tokenized_card.fingerprintstring

Fingerprint of the card

payment_method.applepay.tokenized_card.is_commercialboolean

A boolean field referring whether the card is commercial or not

payment_method.applepay.tokenized_card.issuer_country_codestring

Country code of the card issuer

payment_method.applepay.tokenized_card.issuer_namestring

Issuer name

payment_method.applepay.tokenized_card.last4string

Last four digits of the card number

payment_method.applepay.tokenized_card.namestring

Cardholder name

payment_method.applepay.tokenized_card.typestring

The card's type of payment. One of credit or debit.

payment_method.atomeobject

Atome information.

payment_method.atome.shopper_phonestring

Customer's mobile number, formatted in E.164 standard.

payment_method.bacs_direct_debitobject

BACS Direct Debit information.

payment_method.bacs_direct_debit.account_numberstring

8 digits number to identify a bank account in the UK.

payment_method.bacs_direct_debit.addressobject

Account holder's address.

payment_method.bacs_direct_debit.address.country_codestring

Country code of the address. Use the two-character ISO Standard Country Codes. One of GB, US. Default to GB if not provided

payment_method.bacs_direct_debit.address.line1string

House number and street name, e.g., 777 Casino Drive

payment_method.bacs_direct_debit.address.line2string

Locality name, e.g., Apartment 123

payment_method.bacs_direct_debit.address.postcodestring

Postcode of the address.

payment_method.bacs_direct_debit.address.statestring

State or province of the address. Should be provided if country code is US. Use the two-character ISO3166-2:US state code.

payment_method.bacs_direct_debit.address.townstring

Post town.

payment_method.bacs_direct_debit.bank_namestring

Bank of the account. You can call API to retrieve the available bank names.

payment_method.bacs_direct_debit.business_accountboolean

Indicate whether the account is a business account.

payment_method.bacs_direct_debit.micro_depositobject

The result of micro deposit.

payment_method.bacs_direct_debit.micro_deposit.statusstring

The status of micro_deposit.

payment_method.bacs_direct_debit.owner_emailstring

Email of the account holder.

payment_method.bacs_direct_debit.owner_namestring

Name of the account holder.

payment_method.bacs_direct_debit.sort_codestring

6-digit number to identify a bank in the UK.

payment_method.bancontactobject

Bancontact information.

payment_method.bancontact.shopper_namestring

The name of the shopper.

payment_method.bank_transferobject

Bank Transfer information.

payment_method.bank_transfer.bank_namestring

The name of the bank.

payment_method.bank_transfer.country_codestring

The 2-letter ISO country/region code from which the consumer will be paying.

payment_method.bank_transfer.expires_atstring

Expiry time of this attempt, in ISO-8601 format

payment_method.bank_transfer.ga_modestring

The type of GA mode.

payment_method.bank_transfer.shopper_emailstring

Email address of the shopper.

payment_method.bank_transfer.shopper_namestring

The name of the shopper.

payment_method.becs_direct_debitobject

BECS Direct Debit information.

payment_method.becs_direct_debit.account_numberstring

4-9 digits number to identify a bank account in Australia.

payment_method.becs_direct_debit.bsb_numberstring

6-digit Bank-State-Branch number.

payment_method.becs_direct_debit.business_accountboolean

Indicate whether the account is a business account.

payment_method.becs_direct_debit.micro_debitobject

The result of micro debit.

payment_method.becs_direct_debit.micro_debit.statusstring

The status of micro_debit.

payment_method.becs_direct_debit.micro_depositobject

The result of micro deposit.

payment_method.becs_direct_debit.micro_deposit.statusstring

The status of micro_deposit.

payment_method.becs_direct_debit.owner_emailstring

Account holder's email.

payment_method.becs_direct_debit.owner_namestring

Account holder name.

payment_method.bitpayobject

BitPay information.

payment_method.bitpay.country_codestring

The 2-letter ISO country/region code from which the consumer will be paying.

payment_method.bitpay.shopper_namestring

The name of the shopper.

payment_method.blikobject

BLIK information.

payment_method.blik.shopper_namestring

The name of the shopper.

payment_method.boostobject

Boost information.

payment_method.boost.shopper_emailstring

Email address of the shopper

payment_method.boost.shopper_namestring

The name of the shopper.

payment_method.boost.shopper_phonestring

Phone number of the shopper

payment_method.cardobject

Card information

payment_method.card.additional_infoobject

Additional information of external network token requestor. Would return when number_type is EXTERNAL_NETWORK_TOKEN

payment_method.card.additional_info.merchant_verification_valuestring

Merchant Verification Value (Provided by VISA during onboarding) or MasterCard Assigned ID (Provided by MasterCard during onboarding)

payment_method.card.additional_info.token_requestor_idstring

Token requestor unique identifier (Provided by card schemes during onboarding)

payment_method.card.billingobject

Billing information

payment_method.card.billing.addressobject

The billing address as it appears on the credit card issuer’s records

payment_method.card.billing.address.citystring

City of the address. Maximum of 100 characters.

payment_method.card.billing.address.country_codestring

The two-letter country code in ISO 3166-1 alpha-2 format.

payment_method.card.billing.address.postcodestring

Postcode of the address. Maximum of 10 characters.

payment_method.card.billing.address.statestring

State or province of the address. Maximum of 100 characters.

payment_method.card.billing.address.streetstring

Street of the address. Maximum of 1000 characters.

payment_method.card.billing.date_of_birthstring

Date of birth of the customer in the format: YYYY-MM-DD

payment_method.card.billing.emailstring

Email address of the customer

payment_method.card.billing.first_namestring

First name of the customer

payment_method.card.billing.last_namestring

Last name of the customer

payment_method.card.billing.phone_numberstring

Phone number of the customer

payment_method.card.binstring

Bank identify number of this card

payment_method.card.brandstring

Brand of the card. One of mastercard, visa, union pay, american express, jcb, discover, diners club international.

payment_method.card.card_typestring

Funding type of the card

payment_method.card.card_updater_infoobject

Specifies if card information got updated

payment_method.card.card_updater_info.expiry_updatedboolean

Expiry was updated (true or false)

payment_method.card.card_updater_info.number_updatedboolean

Account number was updated (true or false)

payment_method.card.expiry_monthstring

Two digit number representing the card’s expiration month

payment_method.card.expiry_yearstring

Four digit number representing the card’s expiration year

payment_method.card.fingerprintstring

Fingerprint of the card

payment_method.card.is_commercialboolean

A boolean field referring whether the card is commercial or not

payment_method.card.issuer_country_codestring

Country code of the card issuer

payment_method.card.issuer_namestring

Issuer name

payment_method.card.korean_cardobject

Information for Korean Card

payment_method.card.korean_card.business_numberstring

A 10-digit business number of the company.

payment_method.card.korean_card.date_of_birthstring

A 6-digit date of birth in the format of YYMMDD.

payment_method.card.korean_card.password_first2string

Card password first 2 digits.

payment_method.card.last4string

Last four digits of the card number

payment_method.card.lifecycle_idstring

The Lifecycle Identifier is a unique code that links all related transaction events - Capture, refund & disputes, making it easy to track a transaction throughout its lifecycle. This identifier is currently supported only when the card brand is MasterCard.

payment_method.card.namestring

Card holder name

payment_method.card.number_typestring

Type of the number. One of PAN, EXTERNAL_NETWORK_TOKEN, AIRWALLEX_NETWORK_TOKEN.

payment_method.card_presentobject

Card-present information

payment_method.card_present.aidstring

Application Identifier (AID) of the card.

payment_method.card_present.binstring

Bank identify number of this card

payment_method.card_present.brandstring

Brand of the card

payment_method.card_present.card_sequence_numberstring

A unique identifier to distinguish among separate cards having the save PAN.

payment_method.card_present.card_typestring

Funding type of the card

payment_method.card_present.cardholder_verification_methodstring

Cardholder verification method.

payment_method.card_present.contactless_card_form_factorstring

Contactless Card Form Factor.

payment_method.card_present.emv_tagsstring

Tag-length-value (TLV)-encoded data returned by issuers or card schemes.

payment_method.card_present.expiry_monthstring

Two digit number representing the card’s expiration month

payment_method.card_present.expiry_yearstring

Four digit number representing the card’s expiration year

payment_method.card_present.fallbackboolean

Whether fallback happens when reading the card.

payment_method.card_present.fallback_reasonstring

Fallback reason.

payment_method.card_present.fingerprintstring

Fingerprint of the card

payment_method.card_present.is_commercialboolean

A boolean field referring whether the card is commercial or not

payment_method.card_present.issuer_country_codestring

Country code of the card issuer

payment_method.card_present.issuer_namestring

Issuer name

payment_method.card_present.last4string

Last four digits of the card number

payment_method.card_present.namestring

Card holder name

payment_method.card_present.pan_entry_modestring

The way the terminal reads the card information.

payment_method.card_present.receiptobject

Data used for receipt printing of the transaction.

payment_method.card_present.receipt.retrieval_reference_numberstring

Retrieval reference number of the transaction.

payment_method.card_present.receipt.system_trace_audit_numberstring

System trace audit number of the transaction.

payment_method.card_present.receipt.terminal_verification_resultsstring

Terminal verification result (EMV tag 95) of the transaction.

payment_method.card_present.terminal_infoobject

Data obtained by the POS terminal from the card and terminal properties.

payment_method.card_present.terminal_info.mobile_deviceboolean

Indicate whether the POS terminal is a mobile POS device. Default is false.

payment_method.card_present.terminal_info.pin_entry_capabilitystring

Describe the capability of the terminal device to accept PIN.

  • unsupported: Terminal does not have PIN entry capability.
  • supported: Terminal has PIN entry capability. Except the case suitable for software_based.
  • software_based: For a mobile POS device, a user can input PIN through software-based keyboard.
  • disabled: Terminal has PIN entry capability but PIN pad is not currently operative.
payment_method.card_present.terminal_info.support_single_tap_with_pinboolean

Indicate whether the POS terminal could respond to a request_pin action. Default is false.

payment_method.card_present.terminal_info.supported_pan_entry_modesarray

List of pan_entry_modes supported by the terminal.

payment_method.card_present.terminal_info.terminal_identifierstring

An up to 8 digit alphanumeric unique identifier used to identify the terminal at the card acceptor location of the user’s POS system.

payment_method.card_present.terminal_info.terminal_typestring

Type of the POS terminal that processes this payment.

  • attended_pos: dedicated pos devices that attended by a merchant staff.
  • unattended_pos: dedicated pos devices that not attended.
  • android_softpos: android mobile devices that can work as pos device with software.
  • ios_softpos: iOS mobile devices that can work as pos device with software.
payment_method.card_present.terminal_info.use_embedded_readerboolean

Indicate whether the reader is embedded in a mobile POS device. Default is true.

payment_method.created_atstring

Time at which the PaymentMethod was created

payment_method.customer_idstring

Customer id

payment_method.danaobject

Dana information.

payment_method.dana.flowstring

One of qrcode, mobile_web, mobile_app

payment_method.dana.os_typestring

ios, android

payment_method.dana.shopper_login_idstring

Alipay's User LoginId (Shopper) for Payment Consent Verification

payment_method.dana.user_idstring

Unique identifier of a user in payment method provider side. Only present after the payment has been completed or the consent has been verified.

payment_method.doku_ewalletobject

Doku E-Wallet information.

payment_method.doku_ewallet.shopper_emailstring

Email address of the shopper.

payment_method.doku_ewallet.shopper_namestring

The name of the shopper.

payment_method.dragonpayobject

Dragonpay information.

payment_method.dragonpay.shopper_emailstring

Email address of the shopper.

payment_method.dragonpay.shopper_namestring

The name of the shopper.

payment_method.dragonpay.shopper_phonestring

Phone number of the shopper.

payment_method.duit_nowobject

DuitNow information.

payment_method.duit_now.shopper_namestring

The name of the shopper.

payment_method.eft_direct_debitobject

EFT Direct Debit information.

payment_method.eft_direct_debit.account_numberstring

4-17 digits number to identify a bank account in Canada.

payment_method.eft_direct_debit.business_accountboolean

Indicate whether the account is a business account.

payment_method.eft_direct_debit.institution_numberstring

3-digit number to identify a bank institution in Canada.

payment_method.eft_direct_debit.micro_debitobject

The result of micro debit.

payment_method.eft_direct_debit.micro_debit.statusstring

The status of micro_debit.

payment_method.eft_direct_debit.micro_depositobject

The result of micro deposit.

payment_method.eft_direct_debit.micro_deposit.statusstring

The status of micro_deposit.

payment_method.eft_direct_debit.owner_emailstring

Email of the account holder.

payment_method.eft_direct_debit.owner_namestring

Name of the account holder.

payment_method.eft_direct_debit.transit_numberstring

Identify a bank branch transit in Canada.

payment_method.epsobject

EPS information.

payment_method.eps.shopper_namestring

The name of the shopper.

payment_method.esunobject

ESUN information.

payment_method.esun.shopper_emailstring

Email address of the shopper

payment_method.esun.shopper_namestring

The name of the shopper.

payment_method.esun.shopper_phonestring

Phone number of the shopper

payment_method.family_martobject

FamilyMart information.

payment_method.family_mart.shopper_emailstring

Email address of the shopper

payment_method.family_mart.shopper_namestring

The name of the shopper.

payment_method.family_mart.shopper_phonestring

Phone number of the shopper

payment_method.fpsobject

FPS information.

payment_method.fps.flowstring

The specific FPS flow to use. Currently only support qrcode.

payment_method.fpxobject

FPX information.

payment_method.fpx.bank_namestring

The name of the bank.

payment_method.fpx.shopper_emailstring

Email address of the shopper.

payment_method.fpx.shopper_namestring

The name of the shopper.

payment_method.fpx.shopper_phonestring

Phone number of the shopper.

payment_method.gcashobject

Gcash information.

payment_method.gcash.flowstring

One of qrcode, mobile_web, mobile_app

payment_method.gcash.os_typestring

ios, android

payment_method.gcash.shopper_login_idstring

Alipay's User LoginId (Shopper) for Payment Consent Verification

payment_method.gcash.user_idstring

Unique identifier of a user in payment method provider side. Only present after the payment has been completed or the consent has been verified.

payment_method.go_payobject

GoPay information.

payment_method.go_pay.shopper_namestring

The name of the shopper.

payment_method.googlepayobject

Google pay information.

payment_method.googlepay.billingobject

Billing information

payment_method.googlepay.billing.addressobject

The billing address as it appears on the credit card issuer’s records

payment_method.googlepay.billing.address.citystring

City of the address. Maximum of 100 characters.

payment_method.googlepay.billing.address.country_codestring

The two-letter country code in ISO 3166-1 alpha-2 format.

payment_method.googlepay.billing.address.postcodestring

Postcode of the address. Maximum of 10 characters.

payment_method.googlepay.billing.address.statestring

State or province of the address. Maximum of 100 characters.

payment_method.googlepay.billing.address.streetstring

Street of the address. Maximum of 1000 characters.

payment_method.googlepay.billing.date_of_birthstring

Date of birth of the customer in the format: YYYY-MM-DD

payment_method.googlepay.billing.emailstring

Email address of the customer

payment_method.googlepay.billing.first_namestring

First name of the customer

payment_method.googlepay.billing.last_namestring

Last name of the customer

payment_method.googlepay.billing.phone_numberstring

Phone number of the customer

payment_method.googlepay.lifecycle_idstring

The Lifecycle Identifier is a unique code that links all related transaction events - Capture, refund & disputes, making it easy to track a transaction throughout its lifecycle. This identifier is currently supported only when the card brand is MasterCard.

payment_method.googlepay.payment_data_typestring

Type of the payment data details. One of tokenized_card or encrypted_payment_token.

payment_method.googlepay.tokenized_cardobject

Payment data with the tokenized card details.

payment_method.googlepay.tokenized_card.authentication_methodobject

Authentication method

payment_method.googlepay.tokenized_card.authentication_method.emvobject

EMV data

payment_method.googlepay.tokenized_card.authentication_method.emv.emv_datastring

Output from the Secure Element

payment_method.googlepay.tokenized_card.authentication_method.emv.encrypted_pin_datastring

The PIN encrypted using the bank’s key

payment_method.googlepay.tokenized_card.authentication_method.three_dsobject

3D-Secure authentication data

payment_method.googlepay.tokenized_card.authentication_method.three_ds.eci_indicatorstring

Electronic Commerce Indicator, as defined by 3-D Secure

payment_method.googlepay.tokenized_card.authentication_method.three_ds.online_payment_cryptogramstring

Online payment cryptogram, as defined by 3-D Secure

payment_method.googlepay.tokenized_card.authentication_method.typestring

The authentication method type. One of CRYPTOGRAM_3DS, PAN_ONLY.

payment_method.googlepay.tokenized_card.binstring

Bank identify number of this card

payment_method.googlepay.tokenized_card.brandstring

Brand of the card. One of visa, mastercard, maestro, chinaunionpay.

payment_method.googlepay.tokenized_card.device_manufacturer_identifierstring

Device manufacturer identifier

payment_method.googlepay.tokenized_card.expiry_monthstring

Two digit number representing the card’s expiration month

payment_method.googlepay.tokenized_card.expiry_yearstring

Four digit number representing the card’s expiration year

payment_method.googlepay.tokenized_card.fingerprintstring

Fingerprint of the card

payment_method.googlepay.tokenized_card.is_commercialboolean

A boolean field referring whether the card is commercial or not

payment_method.googlepay.tokenized_card.issuer_country_codestring

Country code of the card issuer

payment_method.googlepay.tokenized_card.issuer_namestring

Issuer name

payment_method.googlepay.tokenized_card.last4string

Last four digits of the card number

payment_method.googlepay.tokenized_card.namestring

Cardholder name

payment_method.googlepay.tokenized_card.typestring

The card's type of payment. One of credit or debit.

payment_method.grabpayobject

GrabPay information.

payment_method.grabpay.shopper_namestring

The name of the shopper.

payment_method.hi_lifeobject

Hi-Life information.

payment_method.hi_life.shopper_emailstring

Email address of the shopper

payment_method.hi_life.shopper_namestring

The name of the shopper.

payment_method.hi_life.shopper_phonestring

Phone number of the shopper

payment_method.idstring

Unique identifier for the PaymentMethod

payment_method.idealobject

iDEAL information.

payment_method.ideal.bank_namestring

The name of the bank.

payment_method.ideal.shopper_namestring

The name of the shopper.

payment_method.indomaretobject

Indomaret information.

payment_method.indomaret.shopper_emailstring

Email address of the shopper.

payment_method.indomaret.shopper_namestring

The name of the shopper.

payment_method.jenius_payobject

JeniusPay information.

payment_method.jenius_pay.shopper_emailstring

Email address of the shopper.

payment_method.jenius_pay.shopper_namestring

The name of the shopper.

payment_method.kakaopayobject

Kakaopay information.

payment_method.kakaopay.flowstring

One of qrcode, mobile_web, mobile_app

payment_method.kakaopay.os_typestring

ios, android

payment_method.kakaopay.shopper_login_idstring

Alipay's User LoginId (Shopper) for Payment Consent Verification

payment_method.kakaopay.user_idstring

Unique identifier of a user in payment method provider side. Only present after the payment has been completed or the consent has been verified.

payment_method.klarnaobject

Klarna information.

payment_method.klarna.billingobject

Billing information

payment_method.klarna.billing.addressobject

The billing address as it appears on the credit card issuer’s records

payment_method.klarna.billing.address.citystring

City of the address. Maximum of 100 characters.

payment_method.klarna.billing.address.country_codestring

The two-letter country code in ISO 3166-1 alpha-2 format.

payment_method.klarna.billing.address.postcodestring

Postcode of the address. Maximum of 10 characters.

payment_method.klarna.billing.address.statestring

State or province of the address. Maximum of 100 characters.

payment_method.klarna.billing.address.streetstring

Street of the address. Maximum of 1000 characters.

payment_method.klarna.billing.date_of_birthstring

Date of birth of the customer in the format: YYYY-MM-DD

payment_method.klarna.billing.emailstring

Email address of the customer

payment_method.klarna.billing.first_namestring

First name of the customer

payment_method.klarna.billing.last_namestring

Last name of the customer

payment_method.klarna.billing.phone_numberstring

Phone number of the customer

payment_method.klarna.country_codestring

The ISO 3166 alpha-2 standard country/region code from which the consumer will be paying. One of AT, BE, CH, CZ, DE, DK, ES, FI, FR, GB, GR, IE, IT, NL, NO, PL, PT, SE, US

payment_method.klarna.languagestring

The ISO 639-1 alpha-2 language code. Default value is en. Besides en, you can specify other local languages (see below) for some countries to render the payment page.
AT: de; BE: be, nl, fr; CH: it, de, fr; CZ: cs; DE: de; DK: da; ES: es; FI: fi, sv; FR: fr; GR: el; IT: it; NL: nl; NO: nb; PL: pl; PT: pt; SE: sv; US: es

payment_method.konbiniobject

Konbini information.

payment_method.konbini.shopper_emailstring

Email address of the shopper.

payment_method.konbini.shopper_namestring

The name of the shopper.

payment_method.konbini.shopper_phonestring

Phone number of the shopper.

payment_method.linkajaobject

LinkAja information.

payment_method.linkaja.shopper_emailstring

Email address of the shopper.

payment_method.linkaja.shopper_namestring

The name of the shopper.

payment_method.maximaobject

Maxima information.

payment_method.maxima.shopper_namestring

The name of the shopper.

payment_method.metadataobject

A set of key-value pairs that you can attach to the PaymentMethod. You can specify up to 50 keys with key names up to 50 characters long and values up to 500 characters long.

payment_method.multibancoobject

Multibanco information.

payment_method.multibanco.shopper_namestring

The name of the shopper.

payment_method.mybankobject

MyBank information.

payment_method.mybank.shopper_namestring

The name of the shopper.

payment_method.narvesenobject

Narvesen information.

payment_method.narvesen.shopper_namestring

The name of the shopper.

payment_method.online_bankingobject

Online Banking information.

payment_method.online_banking.bank_namestring

The name of the bank.

payment_method.online_banking.country_codestring

The 2-letter ISO country/region code from which the consumer will be paying.

payment_method.online_banking.shopper_emailstring

Email address of the shopper.

payment_method.online_banking.shopper_namestring

The name of the shopper.

payment_method.online_banking.shopper_phonestring

Phone number of the shopper.

payment_method.ovoobject

OVO information.

payment_method.ovo.shopper_emailstring

Email address of the shopper.

payment_method.ovo.shopper_namestring

The name of the shopper.

payment_method.p24object

P24 information.

payment_method.p24.shopper_emailstring

Email address of the shopper.

payment_method.p24.shopper_namestring

The name of the shopper.

payment_method.pay_nowobject

PayNow information.

payment_method.pay_now.channelstring

The payment channel.

payment_method.pay_now.shopper_namestring

The name of the shopper.

payment_method.paybybankappobject

Pay by Bank app information.

payment_method.paybybankapp.shopper_namestring

The name of the shopper.

payment_method.payeasyobject

PayEasy information.

payment_method.payeasy.shopper_emailstring

Email address of the shopper.

payment_method.payeasy.shopper_namestring

The name of the shopper.

payment_method.payeasy.shopper_phonestring

Phone number of the shopper.

payment_method.paypalobject

PayPal information.

payment_method.paypal.country_codestring

The 2-letter ISO country/region code from which the consumer will be paying.

payment_method.paypal.shopper_namestring

The name of the shopper.

payment_method.paypostobject

Paypost information.

payment_method.paypost.shopper_namestring

The name of the shopper.

payment_method.paysafecardobject

paysafecard information.

payment_method.paysafecard.country_codestring

The 2-letter ISO country/region code from which the consumer will be paying.

payment_method.paysafecard.shopper_emailstring

Email address of the shopper.

payment_method.paysafecard.shopper_namestring

The name of the shopper.

payment_method.paysafecashobject

Paysafecash information.

payment_method.paysafecash.country_codestring

The 2-letter ISO country/region code from which the consumer will be paying.

payment_method.paysafecash.shopper_emailstring

Email address of the shopper.

payment_method.paysafecash.shopper_namestring

The name of the shopper.

payment_method.payseraobject

Paysera information.

payment_method.paysera.bank_namestring

The name of the bank.

payment_method.paysera.country_codestring

The 2-letter ISO country/region code from which the consumer will be paying.

payment_method.paysera.shopper_namestring

The name of the shopper.

payment_method.paytoobject

Payto information

payment_method.payto.bsbobject
payment_method.payto.bsb.account_namestring

The account name.

payment_method.payto.bsb.account_numberstring

4-9 digits number to identify a bank account in Australia.

payment_method.payto.bsb.bsb_numberstring

6-digit Bank-State-Branch number.

payment_method.payto.pay_idobject

The PayID of the recipient.

payment_method.payto.pay_id.australian_business_numberstring

11 digits number to identify the PayId. Required when phone_number, owner_email, and organisation_id is null.

payment_method.payto.pay_id.organisation_idstring

The organisation id of the recipient. The PayID must be in the format of payid:airwallex.com.

payment_method.payto.pay_id.owner_emailstring

owner email to identify the PayId. Required when phone_number, australian_business_number, and organisation_id is null.

payment_method.payto.pay_id.phone_numberstring

The phone number of the PayId. Required when owner_email, australian_business_number, and organisation_id is null.

payment_method.payuobject

PayU information.

payment_method.payu.shopper_namestring

The name of the shopper.

payment_method.perlas_terminalsobject

Perlas terminals information.

payment_method.perlas_terminals.shopper_namestring

The name of the shopper.

payment_method.prompt_payobject

PromptPay information.

payment_method.prompt_pay.shopper_namestring

The name of the shopper.

payment_method.rabbit_line_payobject

Rabbit LINE Pay information.

payment_method.rabbit_line_pay.flowstring

One of qrcode, mobile_web, mobile_app

payment_method.rabbit_line_pay.os_typestring

ios, android

payment_method.rabbit_line_pay.shopper_login_idstring

Alipay's User LoginId (Shopper) for Payment Consent Verification

payment_method.rabbit_line_pay.user_idstring

Unique identifier of a user in payment method provider side. Only present after the payment has been completed or the consent has been verified.

payment_method.satispayobject

Satispay information.

payment_method.satispay.country_codestring

The 2-letter ISO country/region code from which the consumer will be paying.

payment_method.satispay.shopper_namestring

The name of the shopper

payment_method.sepa_direct_debitobject

SEPA Direct Debit information.

payment_method.sepa_direct_debit.addressobject

Account holder's address.

payment_method.sepa_direct_debit.address.country_codestring

Country code of the address. Use the two-character ISO Standard Country Codes.

payment_method.sepa_direct_debit.address.postcodestring

Postcode of the address.

payment_method.sepa_direct_debit.address.streetstring

street of the address.

payment_method.sepa_direct_debit.address.townstring

town of the address.

payment_method.sepa_direct_debit.bank_namestring

Bank of the account. You can call API to retrieve the available bank names.

payment_method.sepa_direct_debit.business_accountboolean

Indicate whether the account is a business account.

payment_method.sepa_direct_debit.country_codestring

The 2-letter ISO country/region code from which the consumer will be paying.

payment_method.sepa_direct_debit.ibanstring

15–34 characters to identify a bank account.

payment_method.sepa_direct_debit.micro_debitobject

The result of micro debit.

payment_method.sepa_direct_debit.micro_debit.statusstring

The status of micro_debit.

payment_method.sepa_direct_debit.micro_depositobject

The result of micro deposit.

payment_method.sepa_direct_debit.micro_deposit.statusstring

The status of micro_deposit.

payment_method.sepa_direct_debit.owner_emailstring

Email of the account holder.

payment_method.sepa_direct_debit.owner_namestring

Name of the account holder.

payment_method.seven_elevenobject

7-Eleven information.

payment_method.seven_eleven.shopper_emailstring

Email address of the shopper.

payment_method.seven_eleven.shopper_namestring

The name of the shopper.

payment_method.seven_eleven.shopper_phonestring

Phone number of the shopper.

payment_method.shopee_payobject

Boost information.

payment_method.shopee_pay.shopper_emailstring

Email address of the shopper

payment_method.shopee_pay.shopper_namestring

The name of the shopper.

payment_method.shopee_pay.shopper_phonestring

Phone number of the shopper

payment_method.skrillobject

Skrill information.

payment_method.skrill.country_codestring

The 2-letter ISO country/region code from which the consumer will be paying. Applicable worldwide except for blacklisted countries. For the forbidden countries, please refer to Skrill Non-serviced Countries

payment_method.skrill.shopper_emailstring

Email address of the shopper.

payment_method.skrill.shopper_namestring

The name of the shopper.

payment_method.statusstring

Status of the PaymentMethod. One of CREATED, DISABLED

payment_method.tabbyobject

Tabby information

payment_method.tabby.languagestring

The ISO 639-1 alpha-2 language code.

payment_method.tabby.shopper_emailstring

The email of the shopper.

payment_method.tabby.shopper_namestring

The name of the shopper.

payment_method.tabby.shopper_phonestring

The phone of the shopper.

payment_method.tngobject

TNG information.

payment_method.tng.flowstring

One of qrcode, mobile_web, mobile_app

payment_method.tng.os_typestring

ios, android

payment_method.tng.shopper_login_idstring

Alipay's User LoginId (Shopper) for Payment Consent Verification

payment_method.tng.user_idstring

Unique identifier of a user in payment method provider side. Only present after the payment has been completed or the consent has been verified.

payment_method.truemoneyobject

Truemoney information.

payment_method.truemoney.flowstring

One of qrcode, mobile_web, mobile_app

payment_method.truemoney.os_typestring

ios, android

payment_method.truemoney.shopper_login_idstring

Alipay's User LoginId (Shopper) for Payment Consent Verification

payment_method.truemoney.user_idstring

Unique identifier of a user in payment method provider side. Only present after the payment has been completed or the consent has been verified.

payment_method.trustlyobject

Trustly information.

payment_method.trustly.country_codestring

The 2-letter ISO country/region code from which the consumer will be paying. One of DE, DK, EE, ES, FI, GB, LT, LV, NL, NO, PL, SE, SK.

payment_method.trustly.shopper_emailstring

Email address of the shopper.

payment_method.trustly.shopper_namestring

The name of the shopper.

payment_method.typestring

Type of the PaymentMethod. One of card, card_present, applepay, wechatpay, alipaycn, alipayhk, googlepay, gcash, dana, kakaopay, tng, truemoney, rabbit_line_pay, family_mart, hi_life, esun, boost, shopee_pay, fpx, bank_transfer, alfamart, doku_ewallet, grabpay, indomaret, konbini, online_banking, payeasy, seven_eleven, skrill, eps, bancontact, ideal, multibanco, p24, trustly, dragonpay, blik, mybank, paybybankapp, verkkopankki, maxima, narvesen, paypost, perlas_terminals, paysafecash, paysafecard, paysera, satispay, atome, duit_now, pay_now, prompt_pay, go_pay, jenius_pay, fps, ach_direct_debit, bacs_direct_debit, becs_direct_debit, klarna, sepa_direct_debit, korean_local_card, payco, samsung_pay, naver_pay, toss_pay, ovo, bitpay, linkaja, eft_direct_debit, zip, afterpay.

payment_method.updated_atstring

Last time at which the PaymentMethod was updated

payment_method.verkkopankkiobject

Verkkopankki information.

payment_method.verkkopankki.bank_namestring

The name of the bank.

payment_method.verkkopankki.shopper_emailstring

Email address of the shopper.

payment_method.verkkopankki.shopper_namestring

The name of the shopper.

payment_method.wechatpayobject

WeChat Pay information.

payment_method.wechatpay.channelstring

The payment channel.

payment_method.wechatpay.flowstring

The specific WechatPay flow to use. One of qrcode, official_account, mobile_app, mobile_web

payment_method.zipobject

Zip information.

payment_method.zip.shopper_namestring

The name of the shopper.

payment_method_optionsobject

Options for PaymentMethod.

payment_method_options.cardobject

The PaymentMethod options for card.

payment_method_options.card.authorization_typestring

The authorization type of the card payment. One of final_auth, pre_auth. Default to final_auth. Currently only available when brand is visa or mastercard.

payment_method_options.card.auto_captureboolean

Specifies whether the funds should be requested automatically after the payment is authorized. Default to true.

payment_method_transaction_idstring

The unique transaction identifier for a Payment Attempt, assigned by the payment provider (card issuers or local payment method providers such as Google Pay, iDEAL, etc.).

provider_original_response_codestring

The original response code from the payment method provider (or issuer for card)

provider_transaction_idstring

Deprecated.

Use payment_method_transaction_id instead.

refunded_amountnumber

Refunded amount

settle_viastring

Through which channel the merchant will get this payment settled. Possible values are airwallex, paypal, amex.

If airwallex is returned, this payment will be settled to merchant's Airwallex wallet, otherwise it will be settled externally.

statusstring
  • RECEIVED: The PaymentAttempt has been created upon request.
  • AUTHENTICATION_REDIRECTED: The PaymentAttempt is waiting for further customer action of authentication, e.g. 3DS verification and QR code scan.
  • PENDING_AUTHORIZATION: The PaymentAttempt authorization request has been accepted and is pending the final result from the provider.
  • AUTHORIZED: The PaymentAttempt was successfully authorized. It will either be automatically captured or require a manual capture to finalize the payment. Please be aware that capturing the payment is not possible if the PaymentIntent status is PENDING_REVIEW.
  • CAPTURE_REQUESTED: The PaymentAttempt has been successfully requested for capture. The payment is complete.
  • EXPIRED: The PaymentAttempt expired after the allowed payment time. Please create a new PaymentAttempt to retry.
  • CANCELLED: The PaymentAttempt has been cancelled. The previously authorized amount (if any) will be returned to the customer.
  • FAILED: The PaymentAttempt has failed. Please create a new PaymentAttempt to retry.
  • SETTLED: Airwallex has received the settlement from the provider. We will settle the funds in your wallet.
  • PAID: Airwallex has settled the funds in your wallet.
terminal_idstring

Airwallex terminal unique identifier used to process the payment attempt.

updated_atstring

Last time at which this PaymentAttempt was updated or operated on

Errors
Error statusDescription
400

Bad Request. Possible error codes: validation_error

401

Unauthorized. Possible error codes: unauthorized

403

Forbidden

404

Not Found. Possible error codes: not_found(invalid url), resource_not_found

500

Server Error. Possible error codes: internal_error

GET /api/v1/pa/payment_attempts/{id}
$curl --request GET \
> --url 'https://api-demo.airwallex.com/api/v1/pa/payment_attempts/att_hkpd12a3456hi7' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "id": "att_hkpd12a3456hi7",
3 "amount": 100,
4 "currency": "USD",
5 "payment_method": {
6 "type": "card",
7 "card": {
8 "expiry_month": "03",
9 "expiry_year": "2030",
10 "name": "John Doe",
11 "bin": "403550",
12 "last4": "0008",
13 "brand": "visa",
14 "issuer_country_code": "US",
15 "card_type": "CREDIT",
16 "fingerprint": "AKvN4TqxI04SNFZ+oYRXaECtDA==",
17 "billing": {
18 "first_name": "John",
19 "last_name": "Doe",
20 "email": "[email protected]",
21 "phone_number": "+1 1234567890",
22 "address": {
23 "country_code": "US",
24 "state": "CA",
25 "city": "San Francisco",
26 "street": "1460 Mission St.#02W101",
27 "postcode": "94103"
28 }
29 },
30 "issuer_name": "JPMorgan Chase",
31 "is_commercial": false,
32 "number_type": "PAN"
33 }
34 },
35 "merchant_order_id": "D202503210001",
36 "payment_intent_id": "int_hkpdskz7vg1xc7uscdj",
37 "status": "CAPTURE_REQUESTED",
38 "payment_method_transaction_id": "1234567890",
39 "acquirer_reference_number": "1234567890",
40 "provider_original_response_code": "00",
41 "authorization_code": "123456",
42 "captured_amount": 100,
43 "refunded_amount": 0,
44 "settle_via": "airwallex",
45 "authentication_data": {
46 "ds_data": {}
47 },
48 "created_at": "2023-10-01T12:00:00+00:00",
49 "updated_at": "2023-10-01T12:00:00+00:00"
50}
Was this section helpful?

Get list of PaymentAttempts

GET /api/v1/pa/payment_attempts

Retrieve list of PaymentAttempts. Specify a value for payment_intent_id to list the PaymentAttempts made on the PaymentIntent. You may filter out the results further by method and/or status.

Parameters
currencystring

PaymentAttempt currency

from_created_atstring

The start time of created_at in ISO8601 format. The timestamp must include an explicit timezone (e.g. Z or -04:00).

page_numinteger

Page number starting from 0

page_sizeinteger

Number of PaymentAttempts to be listed per page. Default value is 10. Maximum is 1000. The value greater than the maximum will be capped to the maximum.

payment_intent_idstring

PaymentIntent unique identifier of the attempt

statusstring

PaymentAttempt status

to_created_atstring

The end time of created_at in ISO8601 format. The timestamp must include an explicit timezone (e.g. Z or -04:00).

Response body - 200 OK
has_moreboolean

A flag which identifies whether there are more results.

itemsarray

List items

items.acquirer_reference_numberstring

Acquirer reference number of the card payment. Will be populated after the payment attempt has transitioned to the CAPTURE_REQUESTED or SETTLED status.

items.amountnumber

Amount of the PaymentAttempt

items.authentication_dataobject

Authentication data which contains AVS result, CVC result, three domain secure result and fraud evaluation result

items.authentication_data.authentication_typestring

The method used to authenticate this transaction. Possible values: passkey, 3ds, none.

items.authentication_data.avs_resultstring

AVS result.

items.authentication_data.cvc_resultstring

CVC result.

items.authentication_data.ds_dataobject

3DS data.

items.authentication_data.ds_data.cavvstring

Cardholder Authentication Verification Value. Base64-encoded 28-character string.

items.authentication_data.ds_data.challenge_cancellation_reasonstring

Challenge cancellation reason

items.authentication_data.ds_data.ecistring | null

Electronic Commerce Indicator. As defined by 3D-Secure.

  • 00: Mastercard variant: Authentication failed.
  • 01: Mastercard variant: Authentication attempted.
  • 02: Mastercard variant: Authentication succeeded.
  • 04: Mastercard variant: Frictionless authentication via data only mode.
  • 05: Authentication succeeded.
  • 06: Authentication attempted. Mastercard variant: Exempted from Strong Customer Authentication.
  • 07: Authentication failed or exempted. Mastercard variant: Recurring transaction successfully authenticated.
  • null: Not applicable or 3DS authentication was not performed.
items.authentication_data.ds_data.enrolledstring | null

Indicates whether the cardholder is enrolled in 3D-Secure.

  • Y: Cardholder is enrolled.
  • N: Cardholder is not enrolled.
  • U: Unable to determine enrollment status.
  • null: Not applicable or enrollment check was not performed.
items.authentication_data.ds_data.frictionlessstring | null

Indicates whether 3DS passed in frictionless flow.

  • Y: 3DS passed in frictionless flow.
  • N: 3DS entered challenge flow.
  • null: Not applicable or 3DS authentication was not performed.
items.authentication_data.ds_data.liability_shift_indicatorstring | null

Indicates whether liability has shifted to the card issuer.

  • Y: Liability has shifted to the issuer.
  • N: Liability has not shifted.
  • null: Not applicable or unable to determine.
items.authentication_data.ds_data.pa_res_statusstring | null

Payment Authentication Response (PARes) status.

  • Y: Authentication successful.
  • N: Authentication failed.
  • U: Authentication could not be performed.
  • A: Authentication attempted but not completed.
  • C: Challenge required.
  • R: Authentication rejected.
  • null: Not applicable or authentication was not performed.
items.authentication_data.ds_data.versionstring

3ds version

items.authentication_data.ds_data.xidstring

XID

items.authentication_data.fraud_dataobject

Fraud data.

items.authentication_data.fraud_data.actionstring

Fraud action

items.authentication_data.fraud_data.post_authorization_checkobject

Post-authorization fraud check data

items.authentication_data.fraud_data.post_authorization_check.actionstring

Fraud action

items.authentication_data.fraud_data.post_authorization_check.risk_factorsarray

Risk factors

items.authentication_data.fraud_data.post_authorization_check.risk_factors.descriptionstring

Risk factor description

items.authentication_data.fraud_data.post_authorization_check.scorestring

Fraud score

items.authentication_data.fraud_data.risk_factorsarray

Risk factors

items.authentication_data.fraud_data.risk_factors.descriptionstring

Risk factor description

items.authentication_data.fraud_data.scorestring

Fraud score

items.authentication_data.passkey_setup_statusstring

Status of payment passkey setup for the card/device used in the transaction, during cardholder authentication. Possible values: SETUP_COMPLETED, ALREADY_SETUP, FAILED_TO_SETUP, NOT_TRIGGERED

  • SETUP_COMPLETED: Payment passkey was successfully set up.
  • ALREADY_SETUP: Payment passkey was already set up for this card/device combination in a previous transaction.
  • FAILED_TO_SETUP: Attempted to set up a payment passkey, but the setup failed.
  • NOT_TRIGGERED: Payment passkey setup was not supported or not applicable for this transaction (transaction was not processed via the passkey flow).
items.authentication_data.sca_exemptionobject

SCA exemption indicators for this transaction.

items.authentication_data.sca_exemption.applied_exemptionstring

The SCA exemption type actually applied by Airwallex in the authorization request sent downstream. If this field is null, SCA exemption was not applied. Possible values: LOW_RISK_TRANSACTION, LOW_VALUE, SECURE_CORPORATE_PAYMENT.

items.authentication_data.sca_exemption.requested_exemptionstring

The SCA exemption type requested by the merchant for Airwallex to use. Possible values: LOW_RISK_TRANSACTION, LOW_VALUE, SECURE_CORPORATE_PAYMENT, ANONYMOUS.

items.authorization_codestring

Authorization response code from issuer when the payment is authorized successfully

items.captured_amountnumber

Captured amount

items.created_atstring

Time at which this PaymentAttempt was created

items.currencystring

Currency of the PaymentAttempt

items.dcc_dataobject

Present when DCC amount is available and DCC currency is different from PaymentIntent currency. DCC could be conducted either by third party or Airwallex when using Airwallex DCC product

items.dcc_data.amountnumber

DCC amount

items.dcc_data.currencystring

DCC currency

items.failure_codestring

PaymentAttempt failure code. One of authentication_failed, capture_failed, authorization_failed, provider_unavailable, system_unavailable, fraud_rejected

items.failure_detailsobject

Failure details. Only applicable when status is FAILED.

items.failure_details.codestring

The failure code returned by Airwallex

items.failure_details.detailsobject

Additional details that may include original_response_code, original_response_message from provider, and other contextual information such as card details, risk factors, etc. depending on the specific error code.

items.failure_details.messagestring

The failure description.

items.failure_details.trace_idstring

The unique identifier for tracing the failure.

items.idstring

Unique identifier for the PaymentAttempt

items.merchant_advice_codestring

An advice code from issuer to provide more details about the payment. It can be useful when implementing a retry logic for declined payments.

items.merchant_order_idstring

Merchant order unique identifier of the PaymentAttempt

items.payment_intent_idstring

PaymentIntent unique identifier of the PaymentAttempt

items.payment_methodobject

PaymentMethod used by the PaymentAttempt

items.payment_method.ach_direct_debitobject

ACH Direct Debit information.

items.payment_method.ach_direct_debit.aba_routing_numberstring

9-digit number to identify a bank in the US.

items.payment_method.ach_direct_debit.account_numberstring

4-17 digits number to identify a bank account in the US.

items.payment_method.ach_direct_debit.business_accountboolean

Indicate whether the account is a business account.

items.payment_method.ach_direct_debit.micro_debitobject

The result of micro debit.

items.payment_method.ach_direct_debit.micro_debit.statusstring

The status of micro_debit.

items.payment_method.ach_direct_debit.micro_depositobject

The result of micro deposit.

items.payment_method.ach_direct_debit.micro_deposit.statusstring

The status of micro_deposit.

items.payment_method.ach_direct_debit.owner_emailstring

Email of the account holder.

items.payment_method.ach_direct_debit.owner_namestring

Name of the account holder.

items.payment_method.airwallex_payobject

AirwallexPay information.

items.payment_method.airwallex_pay.payer_namestring

Name of the payer. Only returned for successful payments.

items.payment_method.alfamartobject

Alfamart information.

items.payment_method.alfamart.shopper_emailstring

Email address of the shopper.

items.payment_method.alfamart.shopper_namestring

The name of the shopper.

items.payment_method.alipaycnobject

Alipay CN information.

items.payment_method.alipaycn.flowstring

One of qrcode, mobile_web, mobile_app, mini_program

items.payment_method.alipaycn.os_typestring

ios, android

items.payment_method.alipaycn.shopper_login_idstring

Alipay's User LoginId (Shopper) for Payment Consent Verification

items.payment_method.alipaycn.user_idstring

Unique identifier of a user in payment method provider side. Only present after the payment has been completed or the consent has been verified.

items.payment_method.alipayhkobject

Alipay HK information.

items.payment_method.alipayhk.flowstring

One of qrcode, mobile_web, mobile_app

items.payment_method.alipayhk.os_typestring

ios, android

items.payment_method.alipayhk.shopper_login_idstring

Alipay's User LoginId (Shopper) for Payment Consent Verification

items.payment_method.alipayhk.user_idstring

Unique identifier of a user in payment method provider side. Only present after the payment has been completed or the consent has been verified.

items.payment_method.applepayobject

Apple pay information.

items.payment_method.applepay.billingobject

Billing information

items.payment_method.applepay.billing.addressobject

The billing address as it appears on the credit card issuer’s records

items.payment_method.applepay.billing.address.citystring

City of the address. Maximum of 100 characters.

items.payment_method.applepay.billing.address.country_codestring

The two-letter country code in ISO 3166-1 alpha-2 format.

items.payment_method.applepay.billing.address.postcodestring

Postcode of the address. Maximum of 10 characters.

items.payment_method.applepay.billing.address.statestring

State or province of the address. Maximum of 100 characters.

items.payment_method.applepay.billing.address.streetstring

Street of the address. Maximum of 1000 characters.

items.payment_method.applepay.billing.date_of_birthstring

Date of birth of the customer in the format: YYYY-MM-DD

items.payment_method.applepay.billing.emailstring

Email address of the customer

items.payment_method.applepay.billing.first_namestring

First name of the customer

items.payment_method.applepay.billing.last_namestring

Last name of the customer

items.payment_method.applepay.billing.phone_numberstring

Phone number of the customer

items.payment_method.applepay.lifecycle_idstring

The Lifecycle Identifier is a unique code that links all related transaction events - Capture, refund & disputes, making it easy to track a transaction throughout its lifecycle. This identifier is currently supported only when the card brand is MasterCard.

items.payment_method.applepay.payment_data_typestring

Type of the payment data details. One of tokenized_card or encrypted_payment_token.

items.payment_method.applepay.tokenized_cardobject

Payment data with the tokenized card details.

items.payment_method.applepay.tokenized_card.authentication_methodobject

Authentication method

items.payment_method.applepay.tokenized_card.authentication_method.emvobject

EMV data

items.payment_method.applepay.tokenized_card.authentication_method.emv.emv_datastring

Output from the Secure Element

items.payment_method.applepay.tokenized_card.authentication_method.emv.encrypted_pin_datastring

The PIN encrypted using the bank’s key

items.payment_method.applepay.tokenized_card.authentication_method.three_dsobject

3D-Secure authentication data

items.payment_method.applepay.tokenized_card.authentication_method.three_ds.eci_indicatorstring

Electronic Commerce Indicator, as defined by 3-D Secure

items.payment_method.applepay.tokenized_card.authentication_method.three_ds.online_payment_cryptogramstring

Online payment cryptogram, as defined by 3-D Secure

items.payment_method.applepay.tokenized_card.authentication_method.typestring

The authentication method type. One of CRYPTOGRAM_3DS, PAN_ONLY.

items.payment_method.applepay.tokenized_card.binstring

Bank identify number of this card

items.payment_method.applepay.tokenized_card.brandstring

Brand of the card. One of visa, mastercard, maestro, chinaunionpay.

items.payment_method.applepay.tokenized_card.device_manufacturer_identifierstring

Device manufacturer identifier

items.payment_method.applepay.tokenized_card.expiry_monthstring

Two digit number representing the card’s expiration month

items.payment_method.applepay.tokenized_card.expiry_yearstring

Four digit number representing the card’s expiration year

items.payment_method.applepay.tokenized_card.fingerprintstring

Fingerprint of the card

items.payment_method.applepay.tokenized_card.is_commercialboolean

A boolean field referring whether the card is commercial or not

items.payment_method.applepay.tokenized_card.issuer_country_codestring

Country code of the card issuer

items.payment_method.applepay.tokenized_card.issuer_namestring

Issuer name

items.payment_method.applepay.tokenized_card.last4string

Last four digits of the card number

items.payment_method.applepay.tokenized_card.namestring

Cardholder name

items.payment_method.applepay.tokenized_card.typestring

The card's type of payment. One of credit or debit.

items.payment_method.atomeobject

Atome information.

items.payment_method.atome.shopper_phonestring

Customer's mobile number, formatted in E.164 standard.

items.payment_method.bacs_direct_debitobject

BACS Direct Debit information.

items.payment_method.bacs_direct_debit.account_numberstring

8 digits number to identify a bank account in the UK.

items.payment_method.bacs_direct_debit.addressobject

Account holder's address.

items.payment_method.bacs_direct_debit.address.country_codestring

Country code of the address. Use the two-character ISO Standard Country Codes. One of GB, US. Default to GB if not provided

items.payment_method.bacs_direct_debit.address.line1string

House number and street name, e.g., 777 Casino Drive

items.payment_method.bacs_direct_debit.address.line2string

Locality name, e.g., Apartment 123

items.payment_method.bacs_direct_debit.address.postcodestring

Postcode of the address.

items.payment_method.bacs_direct_debit.address.statestring

State or province of the address. Should be provided if country code is US. Use the two-character ISO3166-2:US state code.

items.payment_method.bacs_direct_debit.address.townstring

Post town.

items.payment_method.bacs_direct_debit.bank_namestring

Bank of the account. You can call API to retrieve the available bank names.

items.payment_method.bacs_direct_debit.business_accountboolean

Indicate whether the account is a business account.

items.payment_method.bacs_direct_debit.micro_depositobject

The result of micro deposit.

items.payment_method.bacs_direct_debit.micro_deposit.statusstring

The status of micro_deposit.

items.payment_method.bacs_direct_debit.owner_emailstring

Email of the account holder.

items.payment_method.bacs_direct_debit.owner_namestring

Name of the account holder.

items.payment_method.bacs_direct_debit.sort_codestring

6-digit number to identify a bank in the UK.

items.payment_method.bancontactobject

Bancontact information.

items.payment_method.bancontact.shopper_namestring

The name of the shopper.

items.payment_method.bank_transferobject

Bank Transfer information.

items.payment_method.bank_transfer.bank_namestring

The name of the bank.

items.payment_method.bank_transfer.country_codestring

The 2-letter ISO country/region code from which the consumer will be paying.

items.payment_method.bank_transfer.expires_atstring

Expiry time of this attempt, in ISO-8601 format

items.payment_method.bank_transfer.ga_modestring

The type of GA mode.

items.payment_method.bank_transfer.shopper_emailstring

Email address of the shopper.

items.payment_method.bank_transfer.shopper_namestring

The name of the shopper.

items.payment_method.becs_direct_debitobject

BECS Direct Debit information.

items.payment_method.becs_direct_debit.account_numberstring

4-9 digits number to identify a bank account in Australia.

items.payment_method.becs_direct_debit.bsb_numberstring

6-digit Bank-State-Branch number.

items.payment_method.becs_direct_debit.business_accountboolean

Indicate whether the account is a business account.

items.payment_method.becs_direct_debit.micro_debitobject

The result of micro debit.

items.payment_method.becs_direct_debit.micro_debit.statusstring

The status of micro_debit.

items.payment_method.becs_direct_debit.micro_depositobject

The result of micro deposit.

items.payment_method.becs_direct_debit.micro_deposit.statusstring

The status of micro_deposit.

items.payment_method.becs_direct_debit.owner_emailstring

Account holder's email.

items.payment_method.becs_direct_debit.owner_namestring

Account holder name.

items.payment_method.bitpayobject

BitPay information.

items.payment_method.bitpay.country_codestring

The 2-letter ISO country/region code from which the consumer will be paying.

items.payment_method.bitpay.shopper_namestring

The name of the shopper.

items.payment_method.blikobject

BLIK information.

items.payment_method.blik.shopper_namestring

The name of the shopper.

items.payment_method.boostobject

Boost information.

items.payment_method.boost.shopper_emailstring

Email address of the shopper

items.payment_method.boost.shopper_namestring

The name of the shopper.

items.payment_method.boost.shopper_phonestring

Phone number of the shopper

items.payment_method.cardobject

Card information

items.payment_method.card.additional_infoobject

Additional information of external network token requestor. Would return when number_type is EXTERNAL_NETWORK_TOKEN

items.payment_method.card.additional_info.merchant_verification_valuestring

Merchant Verification Value (Provided by VISA during onboarding) or MasterCard Assigned ID (Provided by MasterCard during onboarding)

items.payment_method.card.additional_info.token_requestor_idstring

Token requestor unique identifier (Provided by card schemes during onboarding)

items.payment_method.card.billingobject

Billing information

items.payment_method.card.billing.addressobject

The billing address as it appears on the credit card issuer’s records

items.payment_method.card.billing.address.citystring

City of the address. Maximum of 100 characters.

items.payment_method.card.billing.address.country_codestring

The two-letter country code in ISO 3166-1 alpha-2 format.

items.payment_method.card.billing.address.postcodestring

Postcode of the address. Maximum of 10 characters.

items.payment_method.card.billing.address.statestring

State or province of the address. Maximum of 100 characters.

items.payment_method.card.billing.address.streetstring

Street of the address. Maximum of 1000 characters.

items.payment_method.card.billing.date_of_birthstring

Date of birth of the customer in the format: YYYY-MM-DD

items.payment_method.card.billing.emailstring

Email address of the customer

items.payment_method.card.billing.first_namestring

First name of the customer

items.payment_method.card.billing.last_namestring

Last name of the customer

items.payment_method.card.billing.phone_numberstring

Phone number of the customer

items.payment_method.card.binstring

Bank identify number of this card

items.payment_method.card.brandstring

Brand of the card. One of mastercard, visa, union pay, american express, jcb, discover, diners club international.

items.payment_method.card.card_typestring

Funding type of the card

items.payment_method.card.card_updater_infoobject

Specifies if card information got updated

items.payment_method.card.card_updater_info.expiry_updatedboolean

Expiry was updated (true or false)

items.payment_method.card.card_updater_info.number_updatedboolean

Account number was updated (true or false)

items.payment_method.card.expiry_monthstring

Two digit number representing the card’s expiration month

items.payment_method.card.expiry_yearstring

Four digit number representing the card’s expiration year

items.payment_method.card.fingerprintstring

Fingerprint of the card

items.payment_method.card.is_commercialboolean

A boolean field referring whether the card is commercial or not

items.payment_method.card.issuer_country_codestring

Country code of the card issuer

items.payment_method.card.issuer_namestring

Issuer name

items.payment_method.card.korean_cardobject

Information for Korean Card

items.payment_method.card.korean_card.business_numberstring

A 10-digit business number of the company.

items.payment_method.card.korean_card.date_of_birthstring

A 6-digit date of birth in the format of YYMMDD.

items.payment_method.card.korean_card.password_first2string

Card password first 2 digits.

items.payment_method.card.last4string

Last four digits of the card number

items.payment_method.card.lifecycle_idstring

The Lifecycle Identifier is a unique code that links all related transaction events - Capture, refund & disputes, making it easy to track a transaction throughout its lifecycle. This identifier is currently supported only when the card brand is MasterCard.

items.payment_method.card.namestring

Card holder name

items.payment_method.card.number_typestring

Type of the number. One of PAN, EXTERNAL_NETWORK_TOKEN, AIRWALLEX_NETWORK_TOKEN.

items.payment_method.card_presentobject

Card-present information

items.payment_method.card_present.aidstring

Application Identifier (AID) of the card.

items.payment_method.card_present.binstring

Bank identify number of this card

items.payment_method.card_present.brandstring

Brand of the card

items.payment_method.card_present.card_sequence_numberstring

A unique identifier to distinguish among separate cards having the save PAN.

items.payment_method.card_present.card_typestring

Funding type of the card

items.payment_method.card_present.cardholder_verification_methodstring

Cardholder verification method.

items.payment_method.card_present.contactless_card_form_factorstring

Contactless Card Form Factor.

items.payment_method.card_present.emv_tagsstring

Tag-length-value (TLV)-encoded data returned by issuers or card schemes.

items.payment_method.card_present.expiry_monthstring

Two digit number representing the card’s expiration month

items.payment_method.card_present.expiry_yearstring

Four digit number representing the card’s expiration year

items.payment_method.card_present.fallbackboolean

Whether fallback happens when reading the card.

items.payment_method.card_present.fallback_reasonstring

Fallback reason.

items.payment_method.card_present.fingerprintstring

Fingerprint of the card

items.payment_method.card_present.is_commercialboolean

A boolean field referring whether the card is commercial or not

items.payment_method.card_present.issuer_country_codestring

Country code of the card issuer

items.payment_method.card_present.issuer_namestring

Issuer name

items.payment_method.card_present.last4string

Last four digits of the card number

items.payment_method.card_present.namestring

Card holder name

items.payment_method.card_present.pan_entry_modestring

The way the terminal reads the card information.

items.payment_method.card_present.receiptobject

Data used for receipt printing of the transaction.

items.payment_method.card_present.receipt.retrieval_reference_numberstring

Retrieval reference number of the transaction.

items.payment_method.card_present.receipt.system_trace_audit_numberstring

System trace audit number of the transaction.

items.payment_method.card_present.receipt.terminal_verification_resultsstring

Terminal verification result (EMV tag 95) of the transaction.

items.payment_method.card_present.terminal_infoobject

Data obtained by the POS terminal from the card and terminal properties.

items.payment_method.card_present.terminal_info.mobile_deviceboolean

Indicate whether the POS terminal is a mobile POS device. Default is false.

items.payment_method.card_present.terminal_info.pin_entry_capabilitystring

Describe the capability of the terminal device to accept PIN.

  • unsupported: Terminal does not have PIN entry capability.
  • supported: Terminal has PIN entry capability. Except the case suitable for software_based.
  • software_based: For a mobile POS device, a user can input PIN through software-based keyboard.
  • disabled: Terminal has PIN entry capability but PIN pad is not currently operative.
items.payment_method.card_present.terminal_info.support_single_tap_with_pinboolean

Indicate whether the POS terminal could respond to a request_pin action. Default is false.

items.payment_method.card_present.terminal_info.supported_pan_entry_modesarray

List of pan_entry_modes supported by the terminal.

items.payment_method.card_present.terminal_info.terminal_identifierstring

An up to 8 digit alphanumeric unique identifier used to identify the terminal at the card acceptor location of the user’s POS system.

items.payment_method.card_present.terminal_info.terminal_typestring

Type of the POS terminal that processes this payment.

  • attended_pos: dedicated pos devices that attended by a merchant staff.
  • unattended_pos: dedicated pos devices that not attended.
  • android_softpos: android mobile devices that can work as pos device with software.
  • ios_softpos: iOS mobile devices that can work as pos device with software.
items.payment_method.card_present.terminal_info.use_embedded_readerboolean

Indicate whether the reader is embedded in a mobile POS device. Default is true.

items.payment_method.created_atstring

Time at which the PaymentMethod was created

items.payment_method.customer_idstring

Customer id

items.payment_method.danaobject

Dana information.

items.payment_method.dana.flowstring

One of qrcode, mobile_web, mobile_app

items.payment_method.dana.os_typestring

ios, android

items.payment_method.dana.shopper_login_idstring

Alipay's User LoginId (Shopper) for Payment Consent Verification

items.payment_method.dana.user_idstring

Unique identifier of a user in payment method provider side. Only present after the payment has been completed or the consent has been verified.

items.payment_method.doku_ewalletobject

Doku E-Wallet information.

items.payment_method.doku_ewallet.shopper_emailstring

Email address of the shopper.

items.payment_method.doku_ewallet.shopper_namestring

The name of the shopper.

items.payment_method.dragonpayobject

Dragonpay information.

items.payment_method.dragonpay.shopper_emailstring

Email address of the shopper.

items.payment_method.dragonpay.shopper_namestring

The name of the shopper.

items.payment_method.dragonpay.shopper_phonestring

Phone number of the shopper.

items.payment_method.duit_nowobject

DuitNow information.

items.payment_method.duit_now.shopper_namestring

The name of the shopper.

items.payment_method.eft_direct_debitobject

EFT Direct Debit information.

items.payment_method.eft_direct_debit.account_numberstring

4-17 digits number to identify a bank account in Canada.

items.payment_method.eft_direct_debit.business_accountboolean

Indicate whether the account is a business account.

items.payment_method.eft_direct_debit.institution_numberstring

3-digit number to identify a bank institution in Canada.

items.payment_method.eft_direct_debit.micro_debitobject

The result of micro debit.

items.payment_method.eft_direct_debit.micro_debit.statusstring

The status of micro_debit.

items.payment_method.eft_direct_debit.micro_depositobject

The result of micro deposit.

items.payment_method.eft_direct_debit.micro_deposit.statusstring

The status of micro_deposit.

items.payment_method.eft_direct_debit.owner_emailstring

Email of the account holder.

items.payment_method.eft_direct_debit.owner_namestring

Name of the account holder.

items.payment_method.eft_direct_debit.transit_numberstring

Identify a bank branch transit in Canada.

items.payment_method.epsobject

EPS information.

items.payment_method.eps.shopper_namestring

The name of the shopper.

items.payment_method.esunobject

ESUN information.

items.payment_method.esun.shopper_emailstring

Email address of the shopper

items.payment_method.esun.shopper_namestring

The name of the shopper.

items.payment_method.esun.shopper_phonestring

Phone number of the shopper

items.payment_method.family_martobject

FamilyMart information.

items.payment_method.family_mart.shopper_emailstring

Email address of the shopper

items.payment_method.family_mart.shopper_namestring

The name of the shopper.

items.payment_method.family_mart.shopper_phonestring

Phone number of the shopper

items.payment_method.fpsobject

FPS information.

items.payment_method.fps.flowstring

The specific FPS flow to use. Currently only support qrcode.

items.payment_method.fpxobject

FPX information.

items.payment_method.fpx.bank_namestring

The name of the bank.

items.payment_method.fpx.shopper_emailstring

Email address of the shopper.

items.payment_method.fpx.shopper_namestring

The name of the shopper.

items.payment_method.fpx.shopper_phonestring

Phone number of the shopper.

items.payment_method.gcashobject

Gcash information.

items.payment_method.gcash.flowstring

One of qrcode, mobile_web, mobile_app

items.payment_method.gcash.os_typestring

ios, android

items.payment_method.gcash.shopper_login_idstring

Alipay's User LoginId (Shopper) for Payment Consent Verification

items.payment_method.gcash.user_idstring

Unique identifier of a user in payment method provider side. Only present after the payment has been completed or the consent has been verified.

items.payment_method.go_payobject

GoPay information.

items.payment_method.go_pay.shopper_namestring

The name of the shopper.

items.payment_method.googlepayobject

Google pay information.

items.payment_method.googlepay.billingobject

Billing information

items.payment_method.googlepay.billing.addressobject

The billing address as it appears on the credit card issuer’s records

items.payment_method.googlepay.billing.address.citystring

City of the address. Maximum of 100 characters.

items.payment_method.googlepay.billing.address.country_codestring

The two-letter country code in ISO 3166-1 alpha-2 format.

items.payment_method.googlepay.billing.address.postcodestring

Postcode of the address. Maximum of 10 characters.

items.payment_method.googlepay.billing.address.statestring

State or province of the address. Maximum of 100 characters.

items.payment_method.googlepay.billing.address.streetstring

Street of the address. Maximum of 1000 characters.

items.payment_method.googlepay.billing.date_of_birthstring

Date of birth of the customer in the format: YYYY-MM-DD

items.payment_method.googlepay.billing.emailstring

Email address of the customer

items.payment_method.googlepay.billing.first_namestring

First name of the customer

items.payment_method.googlepay.billing.last_namestring

Last name of the customer

items.payment_method.googlepay.billing.phone_numberstring

Phone number of the customer

items.payment_method.googlepay.lifecycle_idstring

The Lifecycle Identifier is a unique code that links all related transaction events - Capture, refund & disputes, making it easy to track a transaction throughout its lifecycle. This identifier is currently supported only when the card brand is MasterCard.

items.payment_method.googlepay.payment_data_typestring

Type of the payment data details. One of tokenized_card or encrypted_payment_token.

items.payment_method.googlepay.tokenized_cardobject

Payment data with the tokenized card details.

items.payment_method.googlepay.tokenized_card.authentication_methodobject

Authentication method

items.payment_method.googlepay.tokenized_card.authentication_method.emvobject

EMV data

items.payment_method.googlepay.tokenized_card.authentication_method.emv.emv_datastring

Output from the Secure Element

items.payment_method.googlepay.tokenized_card.authentication_method.emv.encrypted_pin_datastring

The PIN encrypted using the bank’s key

items.payment_method.googlepay.tokenized_card.authentication_method.three_dsobject

3D-Secure authentication data

items.payment_method.googlepay.tokenized_card.authentication_method.three_ds.eci_indicatorstring

Electronic Commerce Indicator, as defined by 3-D Secure

items.payment_method.googlepay.tokenized_card.authentication_method.three_ds.online_payment_cryptogramstring

Online payment cryptogram, as defined by 3-D Secure

items.payment_method.googlepay.tokenized_card.authentication_method.typestring

The authentication method type. One of CRYPTOGRAM_3DS, PAN_ONLY.

items.payment_method.googlepay.tokenized_card.binstring

Bank identify number of this card

items.payment_method.googlepay.tokenized_card.brandstring

Brand of the card. One of visa, mastercard, maestro, chinaunionpay.

items.payment_method.googlepay.tokenized_card.device_manufacturer_identifierstring

Device manufacturer identifier

items.payment_method.googlepay.tokenized_card.expiry_monthstring

Two digit number representing the card’s expiration month

items.payment_method.googlepay.tokenized_card.expiry_yearstring

Four digit number representing the card’s expiration year

items.payment_method.googlepay.tokenized_card.fingerprintstring

Fingerprint of the card

items.payment_method.googlepay.tokenized_card.is_commercialboolean

A boolean field referring whether the card is commercial or not

items.payment_method.googlepay.tokenized_card.issuer_country_codestring

Country code of the card issuer

items.payment_method.googlepay.tokenized_card.issuer_namestring

Issuer name

items.payment_method.googlepay.tokenized_card.last4string

Last four digits of the card number

items.payment_method.googlepay.tokenized_card.namestring

Cardholder name

items.payment_method.googlepay.tokenized_card.typestring

The card's type of payment. One of credit or debit.

items.payment_method.grabpayobject

GrabPay information.

items.payment_method.grabpay.shopper_namestring

The name of the shopper.

items.payment_method.hi_lifeobject

Hi-Life information.

items.payment_method.hi_life.shopper_emailstring

Email address of the shopper

items.payment_method.hi_life.shopper_namestring

The name of the shopper.

items.payment_method.hi_life.shopper_phonestring

Phone number of the shopper

items.payment_method.idstring

Unique identifier for the PaymentMethod

items.payment_method.idealobject

iDEAL information.

items.payment_method.ideal.bank_namestring

The name of the bank.

items.payment_method.ideal.shopper_namestring

The name of the shopper.

items.payment_method.indomaretobject

Indomaret information.

items.payment_method.indomaret.shopper_emailstring

Email address of the shopper.

items.payment_method.indomaret.shopper_namestring

The name of the shopper.

items.payment_method.jenius_payobject

JeniusPay information.

items.payment_method.jenius_pay.shopper_emailstring

Email address of the shopper.

items.payment_method.jenius_pay.shopper_namestring

The name of the shopper.

items.payment_method.kakaopayobject

Kakaopay information.

items.payment_method.kakaopay.flowstring

One of qrcode, mobile_web, mobile_app

items.payment_method.kakaopay.os_typestring

ios, android

items.payment_method.kakaopay.shopper_login_idstring

Alipay's User LoginId (Shopper) for Payment Consent Verification

items.payment_method.kakaopay.user_idstring

Unique identifier of a user in payment method provider side. Only present after the payment has been completed or the consent has been verified.

items.payment_method.klarnaobject

Klarna information.

items.payment_method.klarna.billingobject

Billing information

items.payment_method.klarna.billing.addressobject

The billing address as it appears on the credit card issuer’s records

items.payment_method.klarna.billing.address.citystring

City of the address. Maximum of 100 characters.

items.payment_method.klarna.billing.address.country_codestring

The two-letter country code in ISO 3166-1 alpha-2 format.

items.payment_method.klarna.billing.address.postcodestring

Postcode of the address. Maximum of 10 characters.

items.payment_method.klarna.billing.address.statestring

State or province of the address. Maximum of 100 characters.

items.payment_method.klarna.billing.address.streetstring

Street of the address. Maximum of 1000 characters.

items.payment_method.klarna.billing.date_of_birthstring

Date of birth of the customer in the format: YYYY-MM-DD

items.payment_method.klarna.billing.emailstring

Email address of the customer

items.payment_method.klarna.billing.first_namestring

First name of the customer

items.payment_method.klarna.billing.last_namestring

Last name of the customer

items.payment_method.klarna.billing.phone_numberstring

Phone number of the customer

items.payment_method.klarna.country_codestring

The ISO 3166 alpha-2 standard country/region code from which the consumer will be paying. One of AT, BE, CH, CZ, DE, DK, ES, FI, FR, GB, GR, IE, IT, NL, NO, PL, PT, SE, US

items.payment_method.klarna.languagestring

The ISO 639-1 alpha-2 language code. Default value is en. Besides en, you can specify other local languages (see below) for some countries to render the payment page.
AT: de; BE: be, nl, fr; CH: it, de, fr; CZ: cs; DE: de; DK: da; ES: es; FI: fi, sv; FR: fr; GR: el; IT: it; NL: nl; NO: nb; PL: pl; PT: pt; SE: sv; US: es

items.payment_method.konbiniobject

Konbini information.

items.payment_method.konbini.shopper_emailstring

Email address of the shopper.

items.payment_method.konbini.shopper_namestring

The name of the shopper.

items.payment_method.konbini.shopper_phonestring

Phone number of the shopper.

items.payment_method.linkajaobject

LinkAja information.

items.payment_method.linkaja.shopper_emailstring

Email address of the shopper.

items.payment_method.linkaja.shopper_namestring

The name of the shopper.

items.payment_method.maximaobject

Maxima information.

items.payment_method.maxima.shopper_namestring

The name of the shopper.

items.payment_method.metadataobject

A set of key-value pairs that you can attach to the PaymentMethod. You can specify up to 50 keys with key names up to 50 characters long and values up to 500 characters long.

items.payment_method.multibancoobject

Multibanco information.

items.payment_method.multibanco.shopper_namestring

The name of the shopper.

items.payment_method.mybankobject

MyBank information.

items.payment_method.mybank.shopper_namestring

The name of the shopper.

items.payment_method.narvesenobject

Narvesen information.

items.payment_method.narvesen.shopper_namestring

The name of the shopper.

items.payment_method.online_bankingobject

Online Banking information.

items.payment_method.online_banking.bank_namestring

The name of the bank.

items.payment_method.online_banking.country_codestring

The 2-letter ISO country/region code from which the consumer will be paying.

items.payment_method.online_banking.shopper_emailstring

Email address of the shopper.

items.payment_method.online_banking.shopper_namestring

The name of the shopper.

items.payment_method.online_banking.shopper_phonestring

Phone number of the shopper.

items.payment_method.ovoobject

OVO information.

items.payment_method.ovo.shopper_emailstring

Email address of the shopper.

items.payment_method.ovo.shopper_namestring

The name of the shopper.

items.payment_method.p24object

P24 information.

items.payment_method.p24.shopper_emailstring

Email address of the shopper.

items.payment_method.p24.shopper_namestring

The name of the shopper.

items.payment_method.pay_nowobject

PayNow information.

items.payment_method.pay_now.channelstring

The payment channel.

items.payment_method.pay_now.shopper_namestring

The name of the shopper.

items.payment_method.paybybankappobject

Pay by Bank app information.

items.payment_method.paybybankapp.shopper_namestring

The name of the shopper.

items.payment_method.payeasyobject

PayEasy information.

items.payment_method.payeasy.shopper_emailstring

Email address of the shopper.

items.payment_method.payeasy.shopper_namestring

The name of the shopper.

items.payment_method.payeasy.shopper_phonestring

Phone number of the shopper.

items.payment_method.paypalobject

PayPal information.

items.payment_method.paypal.country_codestring

The 2-letter ISO country/region code from which the consumer will be paying.

items.payment_method.paypal.shopper_namestring

The name of the shopper.

items.payment_method.paypostobject

Paypost information.

items.payment_method.paypost.shopper_namestring

The name of the shopper.

items.payment_method.paysafecardobject

paysafecard information.

items.payment_method.paysafecard.country_codestring

The 2-letter ISO country/region code from which the consumer will be paying.

items.payment_method.paysafecard.shopper_emailstring

Email address of the shopper.

items.payment_method.paysafecard.shopper_namestring

The name of the shopper.

items.payment_method.paysafecashobject

Paysafecash information.

items.payment_method.paysafecash.country_codestring

The 2-letter ISO country/region code from which the consumer will be paying.

items.payment_method.paysafecash.shopper_emailstring

Email address of the shopper.

items.payment_method.paysafecash.shopper_namestring

The name of the shopper.

items.payment_method.payseraobject

Paysera information.

items.payment_method.paysera.bank_namestring

The name of the bank.

items.payment_method.paysera.country_codestring

The 2-letter ISO country/region code from which the consumer will be paying.

items.payment_method.paysera.shopper_namestring

The name of the shopper.

items.payment_method.paytoobject

Payto information

items.payment_method.payto.bsbobject
items.payment_method.payto.bsb.account_namestring

The account name.

items.payment_method.payto.bsb.account_numberstring

4-9 digits number to identify a bank account in Australia.

items.payment_method.payto.bsb.bsb_numberstring

6-digit Bank-State-Branch number.

items.payment_method.payto.pay_idobject

The PayID of the recipient.

items.payment_method.payto.pay_id.australian_business_numberstring

11 digits number to identify the PayId. Required when phone_number, owner_email, and organisation_id is null.

items.payment_method.payto.pay_id.organisation_idstring

The organisation id of the recipient. The PayID must be in the format of payid:airwallex.com.

items.payment_method.payto.pay_id.owner_emailstring

owner email to identify the PayId. Required when phone_number, australian_business_number, and organisation_id is null.

items.payment_method.payto.pay_id.phone_numberstring

The phone number of the PayId. Required when owner_email, australian_business_number, and organisation_id is null.

items.payment_method.payuobject

PayU information.

items.payment_method.payu.shopper_namestring

The name of the shopper.

items.payment_method.perlas_terminalsobject

Perlas terminals information.

items.payment_method.perlas_terminals.shopper_namestring

The name of the shopper.

items.payment_method.prompt_payobject

PromptPay information.

items.payment_method.prompt_pay.shopper_namestring

The name of the shopper.

items.payment_method.rabbit_line_payobject

Rabbit LINE Pay information.

items.payment_method.rabbit_line_pay.flowstring

One of qrcode, mobile_web, mobile_app

items.payment_method.rabbit_line_pay.os_typestring

ios, android

items.payment_method.rabbit_line_pay.shopper_login_idstring

Alipay's User LoginId (Shopper) for Payment Consent Verification

items.payment_method.rabbit_line_pay.user_idstring

Unique identifier of a user in payment method provider side. Only present after the payment has been completed or the consent has been verified.

items.payment_method.satispayobject

Satispay information.

items.payment_method.satispay.country_codestring

The 2-letter ISO country/region code from which the consumer will be paying.

items.payment_method.satispay.shopper_namestring

The name of the shopper

items.payment_method.sepa_direct_debitobject

SEPA Direct Debit information.

items.payment_method.sepa_direct_debit.addressobject

Account holder's address.

items.payment_method.sepa_direct_debit.address.country_codestring

Country code of the address. Use the two-character ISO Standard Country Codes.

items.payment_method.sepa_direct_debit.address.postcodestring

Postcode of the address.

items.payment_method.sepa_direct_debit.address.streetstring

street of the address.

items.payment_method.sepa_direct_debit.address.townstring

town of the address.

items.payment_method.sepa_direct_debit.bank_namestring

Bank of the account. You can call API to retrieve the available bank names.

items.payment_method.sepa_direct_debit.business_accountboolean

Indicate whether the account is a business account.

items.payment_method.sepa_direct_debit.country_codestring

The 2-letter ISO country/region code from which the consumer will be paying.

items.payment_method.sepa_direct_debit.ibanstring

15–34 characters to identify a bank account.

items.payment_method.sepa_direct_debit.micro_debitobject

The result of micro debit.

items.payment_method.sepa_direct_debit.micro_debit.statusstring

The status of micro_debit.

items.payment_method.sepa_direct_debit.micro_depositobject

The result of micro deposit.

items.payment_method.sepa_direct_debit.micro_deposit.statusstring

The status of micro_deposit.

items.payment_method.sepa_direct_debit.owner_emailstring

Email of the account holder.

items.payment_method.sepa_direct_debit.owner_namestring

Name of the account holder.

items.payment_method.seven_elevenobject

7-Eleven information.

items.payment_method.seven_eleven.shopper_emailstring

Email address of the shopper.

items.payment_method.seven_eleven.shopper_namestring

The name of the shopper.

items.payment_method.seven_eleven.shopper_phonestring

Phone number of the shopper.

items.payment_method.shopee_payobject

Boost information.

items.payment_method.shopee_pay.shopper_emailstring

Email address of the shopper

items.payment_method.shopee_pay.shopper_namestring

The name of the shopper.

items.payment_method.shopee_pay.shopper_phonestring

Phone number of the shopper

items.payment_method.skrillobject

Skrill information.

items.payment_method.skrill.country_codestring

[...]
